getAssetTransfers

The Transfers API allows you to easily fetch historical transactions for any address across Ethereum and supported L2s including Polygon, Arbitrum, and Optimism.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Defaults to docs-demo

For higher throughput, create your own API key

Body Params
params
array of objects
length between 1 and 1
params
string
Defaults to 0x0

String - Inclusive from block (hex string, int, or latest)

string
Defaults to latest

String - Inclusive to block (hex string, int, or latest)

string

String - From address (hex string). Default wildcard - any address

string

String - To address (hex string). Default wildcard - any address

contractAddresses
array of strings

String - List of contract addresses (hex strings) to filter for - only applies to "erc20", "erc721", "erc1155" transfers. Default wildcard - any address

contractAddresses
category
array of strings
required

'Array of categories, can be any of the following: "external", "internal", "erc20", "erc721", "erc1155", or "specialnft". See the table above for supported categories on each network.'

category*
Allowed:
string
enum

String - Whether to return results in ascending (asc) or descending (desc) order. Ascending order is from oldest to newest transactions, decending order is from newest to oldest. Defaults to "asc" if omitted.

Allowed:
boolean
Defaults to false

Boolean - Whether or not to include additional metadata about each transfer event.

boolean
Defaults to true

Boolean - A boolean to exclude transfers with zero value. Zero value is not the same as null value.

string
Defaults to 0x3e8

Max hex string number of results to return per call.

string

String - UUID for pagination. If more results are available, a uuid pageKey will be returned in the response. Pass that uuid into pageKey to fetch the next 1000 or maxCount.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json